import { Vue } from "vue-property-decorator";
import { Node, Connection, NodeInterface, ITemporaryConnection } from "@baklavajs/core";
import { ViewPlugin, IViewNode } from "../viewPlugin";
import { IMenuItem } from "./ContextMenu.vue";
export default class EditorView extends Vue {
    plugin: ViewPlugin;
    nodeeditor: EditorView;
    temporaryConnection: ITemporaryConnection | null;
    hoveringOver?: NodeInterface | null;
    selectedNode?: IViewNode | null;
    dragging: boolean;
    contextMenu: {
        items: IMenuItem[];
        show: boolean;
        x: number;
        y: number;
    };
    readonly styles: {
        "transform-origin": string;
        "transform": string;
    };
    readonly nodes: ReadonlyArray<Node>;
    readonly connections: ReadonlyArray<Connection>;
    mounted(): void;
    updateContextMenu(): void;
    hoveredOver(ni: NodeInterface | undefined): void;
    mouseMoveHandler(ev: MouseEvent): void;
    mouseDown(ev: MouseEvent): void;
    mouseUp(ev: MouseEvent): void;
    mouseWheel(ev: MouseWheelEvent): void;
    keyDown(ev: KeyboardEvent): void;
    selectNode(node: IViewNode): void;
    openContextMenu(event: MouseEvent): void;
    onContextMenuClick(action: string): void;
}
